
  <div class="logo-connection">
    <img src="assets/logoVisaal.jpg" class="side-navbar__logo-text" alt="Full logo">
  </div>

<div class="main">
  <div class="form-creation">
    <h1 class="form-creation-title">Formulaire d'inscription</h1>
    <!--<nz-steps [nzCurrent]="index" (nzIndexChange)="onIndexChange($event)">
      <nz-step nzTitle="Création de compte"></nz-step>
      <nz-step nzTitle="Validation" [nzDisabled]="registerForm.invalid && !accountCreated"></nz-step>
    </nz-steps>-->

    <ng-container [ngSwitch]="index">
      <div class="step-form" *ngSwitchCase="0">
        <form [formGroup]="registerForm" (ngSubmit)="createAccountWithEmailAndPassword()" class="form">
          <div class="form-group">
            <label class="form-label">
              Mon mail de connexion : *
              <input type="email" class="form-control" formControlName="email"
                     [ngClass]="{ 'is-invalid': registerForm.touched && registerForm.controls.email.errors}"
                     placeholder="Mon adresse e-mail"/>
            </label>
          </div>

          <div class="form-group">
            <label class="form-label">
              Mon mot de passe : *
              <input type="password" class="form-control" formControlName="password"
                     [ngClass]="{ 'is-invalid': registerForm.touched && registerForm.get('password').errors}"
                     placeholder="Mon mot de passe"/>
            </label>
          </div>
          <button type="submit" class="btn">créer un utilisateur</button>
        </form>
      </div>
    </ng-container>
  </div>
</div>
